ZMQ_STRERROR(3)

NAME
zmq_strerror - get 0MQ error message string

SYNOPSIS

const char *zmq_strerror (int errnum);

DESCRIPTION

The zmq_strerror() function shall return a pointer to an error message string corresponding to the error number specified by the errnum argument. As 0MQ defines additional error numbers over and above those defined by the operating system, applications should use zmq_strerror() in preference to the standard strerror() function.

RETURN VALUE

The zmq_strerror() function shall return a pointer to an error message string.

ERRORS

No errors are defined.

EXAMPLE

Displaying an error message when a 0MQ context cannot be initialised.

    void *ctx = zmq_init (1, 1, 0);
    if (!ctx) {
        printf ("Error occurred during zmq_init(): %s\n", zmq_strerror (errno));
        abort ();
    }

SEE ALSO

zmq(7)

AUTHORS

This 0MQ manual page was written by Martin Sustrik <sustrik@250bpm.com[1]> and Martin Lucina <mato@kotelna.sk[2]>.

NOTES

1.  sustrik@250bpm.com
    mailto:sustrik@250bpm.com

2.  mato@kotelna.sk
    mailto:mato@kotelna.sk